scripttable.LevelStart=function()
	ForeachNamedObject("HiddenMutants",function(v) v:SetPosition(10000,10000) end)
	StandardIntro()
end

scripttable.NextLevelTrigger=function()
	TeleportToLevel("level3")
end

scripttable.OpenDoors=function()
	ForeachNamedObject("HiddenMutants",function(v) v:SetPosition(v:GetStartPos()) end)
	ForeachNamedObject("LockedDoors",function(v) v:Delete() end)
	ForeachNamedObject("DoorLights",function(v) v:SetFrame(1) end)
	
	local ch=PlaySound("suur_uks",1)
	Wait(0.2)
	for i=0,10000 do
		if not ChannelIsPlaying(ch) then
			StopChannel(ch)
			break
		end
		Wait(1/30)
		if i<30*4.5 then
			ShakeScreen(0.2)
		end
	end
	ShowSmallMessage("BLAST DOORS OPENED")
end